import request from '@/utils/request'

// 查询物料库存列表1
export function listMaterialInventory(query) {
  return request({
    url: '/sfa/materialInventory/list',
    method: 'get',
    params: query
  })
}
// 查询物料库存详细
export function getMaterialInventory(inventoryId) {
  return request({
    url: '/sfa/materialInventory/' + inventoryId,
    method: 'get'
  })
}

// 新增物料库存
export function addMaterialInventory(data) {
  return request({
    url: '/sfa/materialInventory',
    method: 'post',
    data: data
  })
}

// 修改物料库存
export function updateMaterialInventory(data) {
  return request({
    url: '/sfa/materialInventory',
    method: 'put',
    data: data
  })
}

// 删除物料库存
export function delMaterialInventory(inventoryId) {
  return request({
    url: '/sfa/materialInventory/' + inventoryId,
    method: 'delete'
  })
}
export function materialReceipt(data) {
  return request({
    url: '/sfa/receipt/materialReceipt',
    method: 'post',
    data: data
  })
}

